package com.ruoyi.demo.service;

import com.github.pagehelper.PageInfo;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.demo.entity.Commercial;
import com.ruoyi.demo.entity.vo.CommercialVo;

import java.util.HashMap;
import java.util.List;

public interface CommericalService {
    void addCommercial(CommercialVo commercialVo);

    String deleteCommercial(String[] commercialIds);

    Commercial getCommercial(String commercialId);

    HashMap getCommercialList(CommercialVo commercialVo);

    List<Commercial>  getCommercialName();

    R updateCommercial(CommercialVo commercialVo);
}
